Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

Query Parameters

startTime
string<date-time>
required

Start time (ISO 8601 format) for filtering alert history.

endTime
string<date-time>
required

End time (ISO 8601 format) for filtering alert history.

Response

200 - application/json

AlertHistory

checkId
string
required

Unique identifier of the check that triggered the alert

Example:

"chk_abc123"

name
string
required

The name of the alert

Example:

"High CPU Usage Alert"

state
enum<string>
required

Current state of the alert

Available options:
open,
closed
Example:

"open"

timestamp
string<date-time>
required

ISO 8601 timestamp when the alert state changed

Example:

"2024-03-20T15:30:00Z"